<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_231) on Thu Apr 30 00:38:30 EEST 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>G-Index</title>
<meta name="date" content="2020-04-30">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="../presentation/GenPDFReports.html" title="class in presentation"><span class="typeNameLink">GenPDFReports</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>
<div class="block">Contine o varianta alternativa de UI, prin intermediul careia comenzile se citesc dintr-un fisier text si se genereaza documente pdf pentru vizualizarea datelor dorite din BD.</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation/GenPDFReports.html#GenPDFReports--">GenPDFReports()</a></span> - Constructor for class presentation.<a href="../presentation/GenPDFReports.html" title="class in presentation">GenPDFReports</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Orders.html#getClID--">getClID()</a></span> - Method in class model.<a href="../model/Orders.html" title="class in model">Orders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewClients.html#getClID--">getClID()</a></span> - Method in class presentation.<a href="../presentation/ViewClients.html" title="class in presentation">ViewClients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getClID--">getClID()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewClients.html#getClIDDelete--">getClIDDelete()</a></span> - Method in class presentation.<a href="../presentation/ViewClients.html" title="class in presentation">ViewClients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewClients.html#getClIDEdit--">getClIDEdit()</a></span> - Method in class presentation.<a href="../presentation/ViewClients.html" title="class in presentation">ViewClients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewClients.html#getClName--">getClName()</a></span> - Method in class presentation.<a href="../presentation/ViewClients.html" title="class in presentation">ViewClients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewStart.html#getComboBox--">getComboBox()</a></span> - Method in class presentation.<a href="../presentation/ViewStart.html" title="class in presentation">ViewStart</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../connection/MyConnection.html#getConnection-java.sql.Connection-">getConnection(Connection)</a></span> - Static method in class connection.<a href="../connection/MyConnection.html" title="class in connection">MyConnection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Clients.html#getID--">getID()</a></span> - Method in class model.<a href="../model/Clients.html" title="class in model">Clients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getjScrollPane--">getjScrollPane()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getjScrollPane--">getjScrollPane()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewClients.html#getjScrollPane1--">getjScrollPane1()</a></span> - Method in class presentation.<a href="../presentation/ViewClients.html" title="class in presentation">ViewClients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewClients.html#getModel--">getModel()</a></span> - Method in class presentation.<a href="../presentation/ViewClients.html" title="class in presentation">ViewClients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getModel--">getModel()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getModel--">getModel()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Clients.html#getName--">getName()</a></span> - Method in class model.<a href="../model/Clients.html" title="class in model">Clients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getNewClID--">getNewClID()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewClients.html#getNewClName--">getNewClName()</a></span> - Method in class presentation.<a href="../presentation/ViewClients.html" title="class in presentation">ViewClients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getNewNrBuc--">getNewNrBuc()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getNewProdID--">getNewProdID()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getNewProdName--">getNewProdName()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getNewProdPrice--">getNewProdPrice()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getNewProdStock--">getNewProdStock()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Orders.html#getNrBuc--">getNrBuc()</a></span> - Method in class model.<a href="../model/Orders.html" title="class in model">Orders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getNrBuc--">getNrBuc()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Orders.html#getOrdID--">getOrdID()</a></span> - Method in class model.<a href="../model/Orders.html" title="class in model">Orders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getOrdID--">getOrdID()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getOrdIDDelete--">getOrdIDDelete()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getOrdIDEdit--">getOrdIDEdit()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Products.html#getPrice--">getPrice()</a></span> - Method in class model.<a href="../model/Products.html" title="class in model">Products</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../business_layer/OrdersBLL.html#getProd-int-">getProd(int)</a></span> - Method in class business_layer.<a href="../business_layer/OrdersBLL.html" title="class in business_layer">OrdersBLL</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Orders.html#getProdID--">getProdID()</a></span> - Method in class model.<a href="../model/Orders.html" title="class in model">Orders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Products.html#getProdID--">getProdID()</a></span> - Method in class model.<a href="../model/Products.html" title="class in model">Products</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getProdID--">getProdID()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getProdID--">getProdID()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getProdIDDelete--">getProdIDDelete()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getProdIDEdit--">getProdIDEdit()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Products.html#getProdName--">getProdName()</a></span> - Method in class model.<a href="../model/Products.html" title="class in model">Products</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getProdName--">getProdName()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getProdPrice--">getProdPrice()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getProdStock--">getProdStock()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Products.html#getStock--">getStock()</a></span> - Method in class model.<a href="../model/Products.html" title="class in model">Products</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewClients.html#getTable--">getTable()</a></span> - Method in class presentation.<a href="../presentation/ViewClients.html" title="class in presentation">ViewClients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewOrders.html#getTable--">getTable()</a></span> - Method in class presentation.<a href="../presentation/ViewOrders.html" title="class in presentation">ViewOrders</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ViewProducts.html#getTable--">getTable()</a></span> - Method in class presentation.<a href="../presentation/ViewProducts.html" title="class in presentation">ViewProducts</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
